gradle 1.1 fails to download/upload to a https secured maven repo

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

gradle 1.1 fails to download/upload to a https secured maven repo

Strong Liu
Hi there,

I'm trying to migrate the https://github.com/gradle/gradle-jdocbook plugin to use Gradle 1.1, but get this error in the dependencies resolve phase 

> Could not resolve group:net.sf.offo, module:fop-hyph, version:2.0.
  Required by:
      org.jboss.jdocbook:gradle-jdocbook:1.2.1-SNAPSHOT > org.jboss.jdocbook:jdocbook-core:1.1.0


I found this can be workaround by changing the maven repository from https to http, but i still get another error when deploying the snapshots to the https maven repository

> Could not publish configuration ':archives'.
   > Error deploying artifact 'org.jboss.jdocbook:gradle-jdocbook:jar': Error retrieving previous build number for artifact 'org.jboss.jdocbook:gradle-jdocbook:jar': repository metadata for: 'snapshot org.jboss.jdocbook:gradle-jdocbook:1.2.1-SNAPSHOT' could not be retrieved from repository: jboss-snapshots-repository due to an error: Error transferring file: java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty
-------------------------
Best Regards,

Strong Liu <stliu at hibernate.org>

Reply | Threaded
Open this post in threaded view
|

Re: gradle 1.1 fails to download/upload to a https secured maven repo

Adam Murdoch

On 08/08/2012, at 1:00 AM, Strong Liu wrote:

Hi there,

I'm trying to migrate the https://github.com/gradle/gradle-jdocbook plugin to use Gradle 1.1, but get this error in the dependencies resolve phase 

> Could not resolve group:net.sf.offo, module:fop-hyph, version:2.0.
  Required by:
      org.jboss.jdocbook:gradle-jdocbook:1.2.1-SNAPSHOT > org.jboss.jdocbook:jdocbook-core:1.1.0

Do you have a stacktrace for this error?



I found this can be workaround by changing the maven repository from https to http, but i still get another error when deploying the snapshots to the https maven repository

> Could not publish configuration ':archives'.
   > Error deploying artifact 'org.jboss.jdocbook:gradle-jdocbook:jar': Error retrieving previous build number for artifact 'org.jboss.jdocbook:gradle-jdocbook:jar': repository metadata for: 'snapshot org.jboss.jdocbook:gradle-jdocbook:1.2.1-SNAPSHOT' could not be retrieved from repository: jboss-snapshots-repository due to an error: Error transferring file: java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty

Do you have a stacktrace for this one too?


--
Adam Murdoch
Gradle Co-founder
http://www.gradle.org
VP of Engineering, Gradleware Inc. - Gradle Training, Support, Consulting
http://www.gradleware.com

Reply | Threaded
Open this post in threaded view
|

Re: gradle 1.1 fails to download/upload to a https secured maven repo

Strong Liu
stacktrace of using https maven repository  https://gist.github.com/3291156

after changed above to http and try to deploy to a https maven repository https://gist.github.com/3291177

okay, I was using open jdk 7, with change to sun jdk 7, the second issue is gone, but the first one still exist



On Aug 8, 2012, at 6:29 AM, Adam Murdoch <[hidden email]> wrote:


On 08/08/2012, at 1:00 AM, Strong Liu wrote:

Hi there,

I'm trying to migrate the https://github.com/gradle/gradle-jdocbook plugin to use Gradle 1.1, but get this error in the dependencies resolve phase 

> Could not resolve group:net.sf.offo, module:fop-hyph, version:2.0.
  Required by:
      org.jboss.jdocbook:gradle-jdocbook:1.2.1-SNAPSHOT > org.jboss.jdocbook:jdocbook-core:1.1.0

Do you have a stacktrace for this error?



I found this can be workaround by changing the maven repository from https to http, but i still get another error when deploying the snapshots to the https maven repository

> Could not publish configuration ':archives'.
   > Error deploying artifact 'org.jboss.jdocbook:gradle-jdocbook:jar': Error retrieving previous build number for artifact 'org.jboss.jdocbook:gradle-jdocbook:jar': repository metadata for: 'snapshot org.jboss.jdocbook:gradle-jdocbook:1.2.1-SNAPSHOT' could not be retrieved from repository: jboss-snapshots-repository due to an error: Error transferring file: java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty

Do you have a stacktrace for this one too?


--
Adam Murdoch
Gradle Co-founder
http://www.gradle.org
VP of Engineering, Gradleware Inc. - Gradle Training, Support, Consulting
http://www.gradleware.com


-------------------------
Best Regards,

Strong Liu <stliu at hibernate.org>

Reply | Threaded
Open this post in threaded view
|

Re: gradle 1.1 fails to download/upload to a https secured maven repo

Luke Daley-2

On 08/08/2012, at 2:22 AM, Strong Liu wrote:

stacktrace of using https maven repository  https://gist.github.com/3291156

after changed above to http and try to deploy to a https maven repository https://gist.github.com/3291177

okay, I was using open jdk 7, with change to sun jdk 7, the second issue is gone, but the first one still exist


Do the fixes outlined in the comments fix the problem?

On Aug 8, 2012, at 6:29 AM, Adam Murdoch <[hidden email]> wrote:


On 08/08/2012, at 1:00 AM, Strong Liu wrote:

Hi there,

I'm trying to migrate the https://github.com/gradle/gradle-jdocbook plugin to use Gradle 1.1, but get this error in the dependencies resolve phase 

> Could not resolve group:net.sf.offo, module:fop-hyph, version:2.0.
  Required by:
      org.jboss.jdocbook:gradle-jdocbook:1.2.1-SNAPSHOT > org.jboss.jdocbook:jdocbook-core:1.1.0

Do you have a stacktrace for this error?



I found this can be workaround by changing the maven repository from https to http, but i still get another error when deploying the snapshots to the https maven repository

> Could not publish configuration ':archives'.
   > Error deploying artifact 'org.jboss.jdocbook:gradle-jdocbook:jar': Error retrieving previous build number for artifact 'org.jboss.jdocbook:gradle-jdocbook:jar': repository metadata for: 'snapshot org.jboss.jdocbook:gradle-jdocbook:1.2.1-SNAPSHOT' could not be retrieved from repository: jboss-snapshots-repository due to an error: Error transferring file: java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty

Do you have a stacktrace for this one too?


--
Adam Murdoch
Gradle Co-founder
http://www.gradle.org
VP of Engineering, Gradleware Inc. - Gradle Training, Support, Consulting
http://www.gradleware.com


-------------------------
Best Regards,

Strong Liu <stliu at hibernate.org>


-- 
Luke Daley
Principal Engineer, Gradleware 
http://gradleware.com